net.sourceforge.pmd

## Class RuleSetFactoryTest

- java.lang.Object
- - net.sourceforge.pmd.RuleSetFactoryTest

    public class RuleSetFactoryTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RuleSetFactoryTest()`

### Method Summary

Methods
`static void` `init()`
`static junit.framework.Test` `suite()`
`void` `testAllPMDBuiltInRulesMeetConventions()`
`void` `testCreateEmptyRuleSet()`
`void` `testDFAFlag()`
`void` `testDirectDeprecatedRule()`
`void` `testDtd()`
`void` `testExtendedReferences()`
`void` `testExternalReferenceOverride()`
`void` `testExternalReferences()`
`void` `testFacadesOffByDefault()`
`void` `testIncludeExcludePatterns()`
`void` `testIncorrectExternalRef()`
`void` `testIncorrectLanguage()`
`void` `testIncorrectMaximumLanugageVersion()`
`void` `testIncorrectMinimumLanugageVersion()`
`void` `testInvertedMinimumMaximumLanugageVersions()`
`void` `testLanguage()`
`void` `testMaximumLanugageVersion()`
`void` `testMinimumLanugageVersion()`
`void` `testMultipleRules()`
`void` `testNoRuleSetFileName()`
`void` `testOverrideMessage()`
`void` `testOverrideMessageOneElem()`
`void` `testProps()`
`void` `testReadWriteRoundTrip()`
`void` `testReferenceInternalToExternal()`
`void` `testReferenceInternalToExternalChain()`
`void` `testReferenceInternalToInternal()`
`void` `testReferenceInternalToInternalChain()`
`void` `testReferencePriority()`
`void` `testReferenceToDeprecatedRule()`
`void` `testRefs()`
`void` `testRuleSet(String fileName)`
`void` `testRuleSetFileName()`
`void` `testRuleSetNotFound()`
`void` `testRuleSetReferenceWithDeprecatedRule()`
`void` `testSetPriority()`
`void` `testSingleRule()`
`void` `testSingleRuleWithPriority()`
`void` `testXmlSchema()`
`void` `testXPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuleSetFactoryTest

    public RuleSetFactoryTest()

### Method Detail

#### init

    public static void init()
                     throws Exception

Throws:
  `Exception`

#### testRuleSetFileName

    public void testRuleSetFileName()
                             throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testNoRuleSetFileName

    public void testNoRuleSetFileName()
                               throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testRefs

    public void testRefs()
                  throws Throwable

Throws:
  `Throwable`

#### testExtendedReferences

    public void testExtendedReferences()
                                throws Exception

Throws:
  `Exception`

#### testRuleSetNotFound

    public void testRuleSetNotFound()
                             throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testCreateEmptyRuleSet

    public void testCreateEmptyRuleSet()
                                throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testSingleRule

    public void testSingleRule()
                        throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testMultipleRules

    public void testMultipleRules()
                           throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testSingleRuleWithPriority

    public void testSingleRuleWithPriority()
                                    throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testProps

    public void testProps()
                   throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testXPath

    public void testXPath()
                   throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testFacadesOffByDefault

    public void testFacadesOffByDefault()
                                 throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testDFAFlag

    public void testDFAFlag()
                     throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testExternalReferenceOverride

    public void testExternalReferenceOverride()
                                       throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testReferenceInternalToInternal

    public void testReferenceInternalToInternal()
                                         throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testReferenceInternalToInternalChain

    public void testReferenceInternalToInternalChain()
                                              throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testReferenceInternalToExternal

    public void testReferenceInternalToExternal()
                                         throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testReferenceInternalToExternalChain

    public void testReferenceInternalToExternalChain()
                                              throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testReferencePriority

    public void testReferencePriority()
                               throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testOverrideMessage

    public void testOverrideMessage()
                             throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testOverrideMessageOneElem

    public void testOverrideMessageOneElem()
                                    throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testIncorrectExternalRef

    public void testIncorrectExternalRef()
                                  throws IllegalArgumentException,
                                         RuleSetNotFoundException

Throws:
  `IllegalArgumentException`
  `RuleSetNotFoundException`

#### testSetPriority

    public void testSetPriority()
                         throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testLanguage

    public void testLanguage()
                      throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testIncorrectLanguage

    public void testIncorrectLanguage()
                               throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testMinimumLanugageVersion

    public void testMinimumLanugageVersion()
                                    throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testIncorrectMinimumLanugageVersion

    public void testIncorrectMinimumLanugageVersion()
                                             throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testMaximumLanugageVersion

    public void testMaximumLanugageVersion()
                                    throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testIncorrectMaximumLanugageVersion

    public void testIncorrectMaximumLanugageVersion()
                                             throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testInvertedMinimumMaximumLanugageVersions

    public void testInvertedMinimumMaximumLanugageVersions()
                                                    throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testDirectDeprecatedRule

    public void testDirectDeprecatedRule()
                                  throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testReferenceToDeprecatedRule

    public void testReferenceToDeprecatedRule()
                                       throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testRuleSetReferenceWithDeprecatedRule

    public void testRuleSetReferenceWithDeprecatedRule()
                                                throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testExternalReferences

    public void testExternalReferences()
                                throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testIncludeExcludePatterns

    public void testIncludeExcludePatterns()
                                    throws RuleSetNotFoundException

Throws:
  `RuleSetNotFoundException`

#### testAllPMDBuiltInRulesMeetConventions

    public void testAllPMDBuiltInRulesMeetConventions()
                                               throws IOException,
                                                      RuleSetNotFoundException,
                                                      ParserConfigurationException,
                                                      SAXException

Throws:
  `IOException`
  `RuleSetNotFoundException`
  `ParserConfigurationException`
  `SAXException`

#### testXmlSchema

    public void testXmlSchema()
                       throws IOException,
                              RuleSetNotFoundException,
                              ParserConfigurationException,
                              SAXException

Throws:
  `IOException`
  `RuleSetNotFoundException`
  `ParserConfigurationException`
  `SAXException`

#### testDtd

    public void testDtd()
                 throws IOException,
                        RuleSetNotFoundException,
                        ParserConfigurationException,
                        SAXException

Throws:
  `IOException`
  `RuleSetNotFoundException`
  `ParserConfigurationException`
  `SAXException`

#### testReadWriteRoundTrip

    public void testReadWriteRoundTrip()
                                throws IOException,
                                       RuleSetNotFoundException,
                                       ParserConfigurationException,
                                       SAXException

Throws:
  `IOException`
  `RuleSetNotFoundException`
  `ParserConfigurationException`
  `SAXException`

#### testRuleSet

    public void testRuleSet(String fileName)
                     throws IOException,
                            RuleSetNotFoundException,
                            ParserConfigurationException,
                            SAXException

Throws:
  `IOException`
  `RuleSetNotFoundException`
  `ParserConfigurationException`
  `SAXException`

#### suite

    public static junit.framework.Test suite()